<?php

namespace Devurai\AcceptbluePaymentPro\DTOs\AcceptBlueCaptureResponse;

use Devurai\AcceptbluePaymentPro\DTOs\BaseDTO;

class AcceptBlueCaptureResponse extends BaseDTO implements ABCaptureResponse
{

    public function getVersion(): string
    {
        return $this->response['version'] ?? 'null';
    }

    public function getStatus(): string
    {
        return $this->response['status'] ?? 'null';
    }

    public function getStatusCode(): string
    {
        return $this->response['status_code'] ?? 'null';
    }

    public function getErrorMessage(): string
    {
        return $this->response['error_message'] ?? 'null';
    }

    public function getErrorCode(): string
    {
        return $this->response['error_code'] ?? 'null';
    }

    public function getErrorDetails(): string
    {
        return $this->response['error_details'] ?? 'null';
    }

    public function getAuthAmount(): int
    {
        return $this->response['auth_amount'] ?? 0;
    }

    public function getAuthCode(): string
    {
        return $this->response['auth_code'] ?? 'null';
    }
}